using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace CocktailWeb.Migrations
{
    /// <inheritdoc />
    public partial class ModiyFillerUniquePosType : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 4,
                column: "Pos",
                value: 1);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 5,
                column: "Pos",
                value: 2);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 6,
                column: "Pos",
                value: 3);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 7,
                column: "Pos",
                value: 4);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 8,
                column: "Pos",
                value: 5);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 9,
                column: "Pos",
                value: 6);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 10,
                column: "Pos",
                value: 7);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 11,
                column: "Pos",
                value: 8);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 12,
                column: "Pos",
                value: 4);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 13,
                column: "Pos",
                value: 5);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 14,
                column: "Pos",
                value: 6);

            migrationBuilder.CreateIndex(
                name: "IX_Fillers_Type_Pos",
                table: "Fillers",
                columns: new[] { "Type", "Pos" },
                unique: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_Fillers_Type_Pos",
                table: "Fillers");

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 4,
                column: "Pos",
                value: 4);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 5,
                column: "Pos",
                value: 5);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 6,
                column: "Pos",
                value: 6);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 7,
                column: "Pos",
                value: 7);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 8,
                column: "Pos",
                value: 8);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 9,
                column: "Pos",
                value: 9);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 10,
                column: "Pos",
                value: 10);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 11,
                column: "Pos",
                value: 11);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 12,
                column: "Pos",
                value: 12);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 13,
                column: "Pos",
                value: 13);

            migrationBuilder.UpdateData(
                table: "Fillers",
                keyColumn: "Id",
                keyValue: 14,
                column: "Pos",
                value: 14);
        }
    }
}
